=== debian/changelog ===
palo (2.22) unstable; urgency=medium

  [ Helge Deller ]
  * ipl: Add trailing "/" when listing directories
  * diskpart: Don't assume a Linux partition is an ext2 fs
  * ext2: Make error message human readable
  * ipl/palo: Fix partition detection
  * palo: Add palo version in header
  * ipl/ext2: Fix block calculation and close file handle
  * ipl: Close file handles after usage
  * ipl: Add fileio_close() function to close file handles

 -- Helge Deller <deller@gmx.de>  Tue, 09 Aug 2022 08:39:01 +0000

palo (2.21) unstable; urgency=medium

  [ Helge Deller ]
  * ipl: Avoid __udivdi3 and __umoddi3 millicode in palo ipl code
  * ipl: Fix partition detection and printout
  * ipl: Abort early if we know we will not reach the block
  * ipl: Improve error messages and error return code handling

 -- Helge Deller <deller@localhost>  Fri, 05 Aug 2022 21:12:59 +0000

palo (2.20) unstable; urgency=medium

  [ Helge Deller ]
  * ipl: Allow to boot beyond the 2GB disk limit (on most machines)
  * ipl: Allow "list directory" menu entry to show other partitions
  * ipl: Add hex prefix when printing segement load address

 -- Helge Deller <deller@gmx.de>  Thu, 04 Aug 2022 14:39:52 +0000

palo (2.16) unstable; urgency=medium

  [ Helge Deller ]
  * Fix palo to list all entries from the /boot directory

 -- Helge Deller <deller@gmx.de>  Fri, 01 Apr 2022 21:16:22 +0000
