## palo 2.24

=== debian/changelog ===
palo (2.24) unstable; urgency=medium

  [ Helge Deller ]
  * ipl: Fix loading of ramdisk in qemu

 -- Helge Deller <deller@gmx.de>  Tue, 30 May 2023 14:10:51 +0200

palo (2.23) unstable; urgency=medium

  [ Helge Deller ]
  * ipl: Speed up printing the IPL menu on C8000 workstation
  * ipl: Fix argument pointer in real64_call_asm
  * ipl: Enable FPU and remove workarounds

 -- Helge Deller <deller@gmx.de>  Sun, 21 May 2023 08:41:01 +0000
