## palo 2.25

=== debian/changelog ===
palo (2.25) unstable; urgency=medium

  [ Helge Deller ]
  * move aliased files from / to /usr (DEP17, Closes: #1061248)

 -- Helge Deller <deller@gmx.de>  Tue, 18 Jun 2024 16:57:10 +0000
