=== ipl/Makefile ===
--- 
+++ 
@@ -28,19 +28,18 @@
 CC	= ${CROSS_COMPILE}gcc
 AR	= ar
 LD	= ${CROSS_COMPILE}ld
-OBJDUMP = ${CROSS_COMPILE}objdump
 
 ifneq ("$(wildcard /etc/debian_version)","")
-BLDINFO := $(shell echo https://parisc.wiki.kernel.org - `dpkg-parsechangelog -l../debian/changelog -SDate`)
+BLDINFO := $(shell echo https://parisc.docs.kernel.org - `dpkg-parsechangelog -l../debian/changelog -SDate`)
 else
-BLDINFO := $(shell echo https://parisc.wiki.kernel.org - `LC_TIME=C date`)
+BLDINFO := $(shell echo https://parisc.docs.kernel.org - `LC_TIME=C date`)
 endif
 
 # Source sharing with palo
 VPATH=../lib:.
 
 AFLAGS	= -I../lib
-CFLAGS	= -DIPL_LOADER -I. -I../lib -I../include -O2 -mdisable-fpregs -Wall -fno-delete-null-pointer-checks -fno-builtin -mpa-risc-1-0
+CFLAGS	= -DIPL_LOADER -I. -I../lib -I../include -O2 -mdisable-fpregs -Wall -fno-delete-null-pointer-checks -fno-builtin
 LDFLAGS  = -N --section-start .init=0x60000 -e '$$START$$'
 
 all:	iplelf
@@ -50,7 +49,6 @@
 	$(CC) $(CFLAGS) -c -o build.o build.c
 	-rm -f build.c
 	$(LD) $(LDFLAGS) -o iplelf crt0.o ipl.a build.o `$(CC) -print-libgcc-file-name`
-	$(OBJDUMP) -t iplelf | grep -E '__udivdi3|__umoddi3|__muldi3' && (echo "ERROR: Can not use __udivdi3 or __umoddi3 in palo ipl code" && false) || true
 
 ipl.a:	$(OFILES)
 	$(AR) rv ipl.a $?
