=== debian/changelog ===
palo (2.27) unstable; urgency=medium

  [ Helge Deller ]
  * Fix loading initrd from CD-ROM on C8000 by limiting transfer size
  * ipl: Add hidden option to toggle block read mode

 -- Helge Deller <deller@mx.de>  Tue, 14 Jan 2025 01:05:37 +0000

palo (2.26) unstable; urgency=medium

  [ Helge Deller ]
  * Fix file permissions of documentation (Closes: #1092419)
  * Rephrased 2GB boot limit message in palo ipl loader
  * PA-RISC Wiki was migrated to kerneldoc documentation

  [ Martin Hauke ]
  * Adjust pathnames for openSUSE. Prepare for initial openSUSE package.

 -- Helge Deller <deller@gmx.de>  Tue, 07 Jan 2025 20:40:42 +0000
