## palo 2.28

=== Makefile ===
--- 
+++ 
@@ -86,7 +86,7 @@
 		-c "${CMDLINE}" \
 		-s lifimage
 
-iplboot:	makeipl makepalo ipl/iplelf
+iplboot:	makeipl makepalo
 	./palo/mkbootable ipl/iplelf iplboot
 
 clean:
