=== ipl/Makefile ===
--- 
+++ 
@@ -40,6 +40,7 @@
 
 AFLAGS	= -I../lib
 CFLAGS	= -DIPL_LOADER -I. -I../lib -I../include -O2 -mdisable-fpregs -Wall -fno-delete-null-pointer-checks -fno-builtin
+CFLAGS	+= -Wno-old-style-definition
 LDFLAGS  = -N --section-start .init=0x60000 -e '$$START$$'
 
 all:	iplelf
