=== palo/Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 CFLAGS=-g -O -I../include -I../lib -I$(PA)/include
 else
 CFLAGS=-g -O -I../include -I../lib -D_FILE_OFFSET_BITS=64
+CFLAGS+=-Wno-old-style-definition
 endif
 
 ifneq ("$(wildcard /etc/debian_version)","")
