=== debian/changelog ===
palo (2.28) unstable; urgency=medium

  [ Helge Deller ]
  * Fix various build warnings reported by Debian

 -- Helge Deller <deller@gmx.de>  Sat, 06 Sep 2025 10:01:23 +0000
