=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Helge Deller <deller@gmx.de>
-Build-Depends: debhelper-compat (= 13), lynx, gcc-hppa-linux-gnu [!hppa], libc6-dev-hppa-cross [!hppa], help2man
+Build-Depends: debhelper-compat (= 13), lynx, gcc-hppa-linux-gnu [!hppa], libc6-dev-hppa-cross [!hppa], help2man, dh-sequence-movetousr
 Standards-Version: 4.5.0
 Homepage: https://git.kernel.org/cgit/linux/kernel/git/deller/palo.git
 Vcs-Browser: https://git.kernel.org/cgit/linux/kernel/git/deller/palo.git
