=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_build:
	echo "Regenerating iplboot."
	$(MAKE) realclean
	$(MAKE) iplboot
	dh_auto_build

%:
	dh $@
