## palo 2.29

=== debian/changelog ===
palo (2.29) unstable; urgency=medium

  [ Helge Deller ]
  * psc_misc: Add function to get PDC firmware version
  * ipl: Fix mfg mode on C8000, rp34x0 and rp44x0

 --  Helge Deller <deller@gmx.de>  Sun, 11 Jan 2026 18:02:34 +0000
